Forum Support

Shape 5
November 29, 2021, 06:14:54 AM *
Welcome, Guest. Please login or register.

Login with username, password and session length
News: Shape 5 Forum
 
   Home   Help Search Login Register  
Pages: [1]
  Print  
Author Topic: error after vertex upgrade  (Read 782 times)
cspub
Jr. Member
**
Offline Offline

Posts: 236



« on: March 30, 2016, 03:57:53 PM »

i followed instruction on upgrading vertex. but when i logon to the backend dashboard, i get this error
onand/public_html/wp-content/themes/s5_new_vision/vertex/js): No such file or directory in /home/salonand/public_html/wp-content/themes/s5_new_vision/vertex/admin/elements/vertex.php on line 40

i deleted the admin folder as that was part of the instructions
Logged
Tristan Rineer
Global Moderator
*****
Offline Offline

Posts: 3858

Gravatar


« Reply #1 on: March 31, 2016, 09:05:34 AM »

It would appear that either not all of the patch files got uploaded, or maybe you missed a file that was supposed to be removed or backed up & restored after patching.

Without more specific details about which file it says is missing, I can't really do more than guess about the problem.
Logged

Tristan Rineer
------------
Shape 5 Team



- Need a great host for your website? We highly recommend siteground.com!


- Put your trust in the hands of our extremely qualified staff to get your job done right!


- Firebug is the most powerful web development and debugging tool, and it will save you a lot of time, frustration and forum questions:
Install Firebug
cspub
Jr. Member
**
Offline Offline

Posts: 236



« Reply #2 on: March 31, 2016, 09:33:48 AM »

It would appear that either not all of the patch files got uploaded, or maybe you missed a file that was supposed to be removed or backed up & restored after patching.

Without more specific details about which file it says is missing, I can't really do more than guess about the problem.

i downloaded the patch, unzipped on my desktop and used ftp to put into place. i seem to have issues each time i apply the patch. i'm not sure what is wrong but i follow the instructions. the error that i show you is what i got in the backend
Logged
Tristan Rineer
Global Moderator
*****
Offline Offline

Posts: 3858

Gravatar


« Reply #3 on: March 31, 2016, 10:21:50 AM »

I've made an unofficial patching tool that still needs some testing and possibly some updates before I'm ready to release it as official, but I've attached it anyway.

You can install it as a normal plugin, and when you activate it, it will patch the theme and then deactivate itself.  Before it can be activated, you will need to upload the latest patch (as the .zip file, not extracted) to the plugin folder (wp-content/plugins/vertex-patcher).

When activated, the plugin will move/rename/delete any files that need it, extract the patch .zip to the theme, then restore any files that were moved into a backup location.  Once the patching process is complete, it will deactivate.

Keep in mind that it is an unofficial tool that I have created for my own personal use, so I can't guarantee that it will work 100% of the time; but if you're having issues every time you patch, then there's a good chance that the patcher will reduce those problems.

Hopefully that will help. 
Logged

Tristan Rineer
------------
Shape 5 Team



- Need a great host for your website? We highly recommend siteground.com!


- Put your trust in the hands of our extremely qualified staff to get your job done right!


- Firebug is the most powerful web development and debugging tool, and it will save you a lot of time, frustration and forum questions:
Install Firebug
cspub
Jr. Member
**
Offline Offline

Posts: 236



« Reply #4 on: April 23, 2016, 05:20:49 PM »

I"m so frustrated trying to update sites that need the patch. I do it manually just as you explain in the instructions and i get errors. I try using the patcher and that error mid way and corrupted everything. I've spent countless hours and it shouldn't be this hard. most things you can update from wp dashboard. there has to be an easier way to do this or i'll just have to start using another place for themes.
Logged
Tristan Rineer
Global Moderator
*****
Offline Offline

Posts: 3858

Gravatar


« Reply #5 on: April 25, 2016, 07:04:16 AM »

There is currently no easier way to do it, and you are the only member who has posted about having difficulty more than once, so it's possible that something on your server is the problem.  I updated all of the responsive downloads by installing each shaper & then running the autopatcher, and I didn't have any issues with any of them, so without knowing which theme you were trying to patch and what error you got, there's no way for me to know what could have happened. 

Just to make sure that you're definitely doing the patch correctly, here's the easiest method:
1. Download the Vertex Upgrade Patch and extract it to a folder on your computer
2. Back up the vertex/footer.php file from your theme.
3. Delete the vertex folder from your theme.
4. Upload the patch through FTP (make sure your FTP client is set to "Binary" mode for transfers, any other setting can cause file corruption).
5. Restore the backed up footer.php file into the vertex folder.

An even easier option would be to back up any files that you've changed (including the vertex.json file in the theme folder), and re-upload the theme after downloading the latest version.


The patch, and autopatcher, will only work with the responsive releases; any release older than Corporate Response is running a completely different version of the framework and cannot be fully updated just by patching, as they are not currently compatible with the latest version of the framework, and I haven't had time to manually go through the code of each old release in order to fix conflicts.
Logged

Tristan Rineer
------------
Shape 5 Team



- Need a great host for your website? We highly recommend siteground.com!


- Put your trust in the hands of our extremely qualified staff to get your job done right!


- Firebug is the most powerful web development and debugging tool, and it will save you a lot of time, frustration and forum questions:
Install Firebug
cspub
Jr. Member
**
Offline Offline

Posts: 236



« Reply #6 on: April 25, 2016, 03:27:52 PM »

i was updating velocity.
the updater started but then came up after a few minutes and said something like can't update.
at that point it had started but didn't finish. the site was down.
i downloaded a new velocity theme from your web and installed it.

i have tried updating other sites not on same server. so are you saying anything older than corporate the update patch doesn't work? so they can't be updated?


There is currently no easier way to do it, and you are the only member who has posted about having difficulty more than once, so it's possible that something on your server is the problem.  I updated all of the responsive downloads by installing each shaper & then running the autopatcher, and I didn't have any issues with any of them, so without knowing which theme you were trying to patch and what error you got, there's no way for me to know what could have happened. 

Just to make sure that you're definitely doing the patch correctly, here's the easiest method:
1. Download the Vertex Upgrade Patch and extract it to a folder on your computer
2. Back up the vertex/footer.php file from your theme.
3. Delete the vertex folder from your theme.
4. Upload the patch through FTP (make sure your FTP client is set to "Binary" mode for transfers, any other setting can cause file corruption).
5. Restore the backed up footer.php file into the vertex folder.

An even easier option would be to back up any files that you've changed (including the vertex.json file in the theme folder), and re-upload the theme after downloading the latest version.


The patch, and autopatcher, will only work with the responsive releases; any release older than Corporate Response is running a completely different version of the framework and cannot be fully updated just by patching, as they are not currently compatible with the latest version of the framework, and I haven't had time to manually go through the code of each old release in order to fix conflicts.
Logged
Tristan Rineer
Global Moderator
*****
Offline Offline

Posts: 3858

Gravatar


« Reply #7 on: April 26, 2016, 07:06:40 AM »

I have used the patcher to update every release from Corporate Response through to the newest ones without any issues, so without knowing the specific error, I have no way of knowing what the problem is.

Anything older than Corporate Response (Which was the May 2013 release) cannot be directly patched without a lot of additional compatibility fixes because of a lot of changes not only in the framework, but also in the way the code outside the framework functions.  I will be updating them in the future, just to get everything on the same version of the framework, but they will never become responsive or support all the other new features of the newer releases and latest framework.
Logged

Tristan Rineer
------------
Shape 5 Team



- Need a great host for your website? We highly recommend siteground.com!


- Put your trust in the hands of our extremely qualified staff to get your job done right!


- Firebug is the most powerful web development and debugging tool, and it will save you a lot of time, frustration and forum questions:
Install Firebug
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF | SMF © 2013, Simple Machines
Joomla Bridge by JoomlaHacks.com
Valid XHTML 1.0! Valid CSS!
Looking for the largest variety in template designs? Look no more. Never buy 1 theme again. Signups start at just $89 for access to all of our themes.
Send Us An Email
Please send us your questions and we will email you back as soon as we can. Product support questions should be posted in our support forums under the Help menu. Our staff will assist you from there.